# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

#TODO: BR: perl(Test::Pod::LinkCheck) when test passes
#TODO: BR: perl(Test::Vars) when test passes again

Name:		perl-Pod-Spell
Version:	1.26
Release:	1.%{__distinit}%{__distvers}
Summary:	A formatter for spell-checking Pod
License:	Artistic-2.0
URL:		https://metacpan.org/release/Pod-Spell
Source0:	https://cpan.metacpan.org/modules/by-module/Pod/Pod-Spell-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::ShareDir::Install) >= 0.06
# Module
BuildRequires:	perl(Class::Tiny)
BuildRequires:	perl(constant)
BuildRequires:	perl(File::ShareDir)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Lingua::EN::Inflect)
BuildRequires:	perl(parent)
BuildRequires:	perl(Pod::Simple)
BuildRequires:	perl(strict)
BuildRequires:	perl(Text::Wrap)
BuildRequires:	perl(warnings)
# Script
BuildRequires:	perl(I18N::Langinfo)
BuildRequires:	perl(POSIX)
# Test Suite
BuildRequires:	perl(blib)
BuildRequires:	perl(File::Temp) >= 0.17
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(IPC::Open3)
BuildRequires:	perl(Test::More) >= 0.96
BuildRequires:	perl(utf8)
# Optional Tests
BuildRequires:	perl(CPAN::Meta) >= 2.120900
BuildRequires:	perl(CPAN::Meta::Prereqs)
# Author and Release Tests
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(Encode)
BuildRequires:	perl(Pod::Coverage::TrustPod)
BuildRequires:	perl(Test::CPAN::Changes) >= 0.19
BuildRequires:	perl(Test::CPAN::Meta)
BuildRequires:	perl(Test::CPAN::Meta::JSON)
BuildRequires:	perl(Test::DistManifest)
BuildRequires:	perl(Test::EOL)
BuildRequires:	perl(Test::MinimumVersion)
BuildRequires:	perl(Test::Mojibake)
BuildRequires:	perl(Test::NoTabs)
BuildRequires:	perl(Test::Perl::Critic)
BuildRequires:	perl(Test::Pod) >= 1.41
BuildRequires:	perl(Test::Pod::Coverage) >= 1.08
BuildRequires:	perl(Test::Portability::Files)
BuildRequires:	perl(Test::Spelling), hunspell-en
BuildRequires:	perl(Test::Version)
%endif
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
Requires:	perl(File::ShareDir)
Requires:	perl(I18N::Langinfo)
Requires:	perl(POSIX)

%description
Pod::Spell is a Pod formatter whose output is good for spell-checking.
Pod::Spell rather like Pod::Text, except that it doesn't put much
effort into actual formatting, and it suppresses things that look like
Perl symbols or Perl jargon (so that your spell-checking program won't
complain about mystery words like "$thing" or "Foo::Bar" or "hashref").

%prep
%setup -q -n Pod-Spell-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test
%if 0%{!?perl_bootstrap:1}
make test TEST_FILES="$(echo $(find xt/{author,release}/ -name '*.t'))"
%endif

%files
%license LICENSE
%doc Changes CONTRIBUTING README
%{_bindir}/podspell
%{perl_vendorlib}/Pod/
%{perl_vendorlib}/auto/share/dist/Pod-Spell/
%{_mandir}/man1/podspell.1*
%{_mandir}/man3/Pod::Spell.3*
%{_mandir}/man3/Pod::Wordlist.3*

%changelog
* Tue Mar 14 2023 Paul Howarth <paul@city-fan.org> - 1.26-1
- Update to 1.26
  - Encode output as UTF-8

* Wed Oct  5 2022 Paul Howarth <paul@city-fan.org> - 1.25-1
- Update to 1.25
  - Account for stopwords added in UTF-8 encoded form

* Wed Sep 21 2022 Paul Howarth <paul@city-fan.org> - 1.23-1
- Update to 1.23
  - Port to use Pod::Simple rather than Pod::Parser
  - Use File::Spec rather than Path::Tiny
  - Allow explicit debug option to override environment variable
  - Packaging and metadata updates
  - Fix finding wordlist when not run against files directly in lib/
- Use SPDX-format license tag
- Drop now-redundant workaround for package notes files

* Fri Mar 18 2022 Paul Howarth <paul@city-fan.org> - 1.20-21
- Work around package note files breaking xt/release/dist-manifest.t
- Use %%license unconditionally

* Tue Mar 10 2020 Paul Howarth <paul@city-fan.org> - 1.20-15
- BR: perl(blib) for t/00-compile.t

* Fri Sep  6 2019 Paul Howarth <paul@city-fan.org> - 1.20-13
- Tidy up build dependencies

* Sat Jun  8 2019 Paul Howarth <paul@city-fan.org> - 1.20-11
- Perl 5.30 rebuild

* Mon Apr 16 2018 Paul Howarth <paul@city-fan.org> - 1.20-7
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop workaround for building with Test::More < 0.96

* Thu Sep 22 2016 Paul Howarth <paul@city-fan.org> - 1.20-3
- BR: perl-generators where available

* Mon Apr 25 2016 Paul Howarth <paul@city-fan.org> - 1.20-2
- Explicitly require File::ShareDir

* Fri Apr 22 2016 Paul Howarth <paul@city-fan.org> - 1.20-1
- Update to 1.20
  - Hide internals: the POD parser is moved to a private package and the
    Pod::Spell package now only exposes the public interface; this is a first
    step towards rewriting the parser using Pod::Simple (planned for
    Pod-Spell-2.0)
  - 'parse_from_file' and 'parse_from_filehandle' are now explicitly
    documented (by copying doc from Pod::Parser)
  - Drop use of File::ShareDir::ProjectDistDir (GH#26)
  - Allow stop words with '.' (GH#28)
- Simplify find command using -delete

* Wed Mar  2 2016 Paul Howarth <paul@city-fan.org> - 1.19-2
- Support building for older distributions now that Path::Tiny does

* Sun Feb 21 2016 Paul Howarth <paul@city-fan.org> - 1.19-1
- Update to 1.19
  - Don't set $Text::Wrap::huge globally, but localize it
  - Load Pod::Wordlist only if used

* Sat Jan 30 2016 Paul Howarth <paul@city-fan.org> - 1.18-1
- Update to 1.18
  - New maintainer: Olivier Mengué (DOLMEN); repo is now hosted at
    github.com/perl-pod/Pod-Spell
  - Fix warning in strip_stopwords (GH#23)
  - Re-apply "podspell script: set output encoding from locale CTYPE"
    (GH#17, GH#22, #17); the issue in 1.16 was an incorrect dependency on
    I18N::Langinfo
- This release by DOLMEN → update source URL

* Sat Jun 27 2015 Paul Howarth <paul@city-fan.org> - 1.17-3
- Disable use of Test::Vars with Perl 5.22
  (https://github.com/gfx/p5-Test-Vars/issues/11)

* Mon Mar  9 2015 Paul Howarth <paul@city-fan.org> - 1.17-1
- Update to 1.17
  - Revert changes in 1.16 as they are not compatible with Windows (GH#18)

* Wed Feb 25 2015 Paul Howarth <paul@city-fan.org> - 1.16-1
- Update to 1.16
  - podspell script: set output encoding from locale CTYPE

* Mon Sep 15 2014 Paul Howarth <paul@city-fan.org> - 1.15-3
- Use %%license where possible

* Fri Feb 28 2014 Paul Howarth <paul@city-fan.org> - 1.15-1
- Update to 1.15
  - Convert to strict mode of File::ShareDir::ProjectDistDir
  - Change to use Path::Tiny->lines_utf8
- Explicitly require Path::Tiny
- Drop support for old distributions since we need Path::Tiny, which we can't
  build for old distributions

* Wed Feb 12 2014 Paul Howarth <paul@city-fan.org> - 1.14-1
- Update to 1.14
  - Discontinue use of File::Slurp; use Path::Tiny->lines instead (GH #15)

* Sun Nov  3 2013 Paul Howarth <paul@city-fan.org> - 1.13-1
- Update to 1.13
  - Fix encoding issues issues in pod for perldoc
- Drop upstreamed UTF8 patch

* Fri Oct 18 2013 Paul Howarth <paul@city-fan.org> - 1.12-1
- Update to 1.12
  - Fix shebang to /usr/bin/perl for EUMM replacment (GH #13)
  - Improve documentation

* Sat Sep 28 2013 Paul Howarth <paul@city-fan.org> - 1.10-1
- Update to 1.10
  - Added 'no_wide_chars' option to strip words with such characters from the
    output; this may help spellcheckers that can't cope with UTF-8
  - Improved punctuation stripping algorithm for better word isolation
    (example C<< "hello". >> now is found as "hello")
  - Strips all word that do not have at least one \w character as a
    spellchecker isn't likely to do anything useful with them
  - Added recommendations for dealing with character encoding
- Drop patches from upstream

* Fri Sep 27 2013 Paul Howarth <paul@city-fan.org> - 1.09-2
- Update to 1.09
  - Stopwords with 's are learned without 's to match how they are checked
  - Leading and trailing punctuation is entirely stripped since the spell
    checker won't care anyway; trailing periods are *not* stripped as they
    might be abbreviations ("Ph.D."), but such words are checked against the
    stoplist both with and without trailing periods to account for
    abbreviations and words at the end of a sentence
- Kwalitee and Mojibake tests dropped by upstream
- Add patches from upstream to address various encoding/stopword issues
  - https://github.com/xenoterracide/Pod-Spell/issues/9
  - https://github.com/xenoterracide/Pod-Spell/issues/11

* Wed Sep 25 2013 Paul Howarth <paul@city-fan.org> - 1.08-1
- Update to 1.08
  - Hyphenated word parts are also checked against the stoplist and stripped
  - Documented that stopwords must be added before words appear in Pod

* Sun Sep 15 2013 Paul Howarth <paul@city-fan.org> - 1.07-1
- Update to 1.07
  - Add many words
  - Pod::Wordlist is an Object
  - Lingua::EN::Inflect is used to reduce requiring plurals in the list
  - The wordlist is now a sharedir file
  - Accessing %%Pod::Wordlist::Wordlist directly is now deprecated
- BR: perl(File::ShareDir::Install) ≥ 0.03 for the build process
- BR: perl(Class::Tiny), perl(File::ShareDir::ProjectDistDir),
  perl(File::Slurp) and perl(Lingua::EN::Inflect) for the module runtime
- Update patch for supporting building with ExtUtils::MakeMaker < 6.30

* Sun Sep  8 2013 Paul Howarth <paul@city-fan.org> - 1.06-1
- Update to 1.06
  - Import stopwords from Pod::Wordlist::hanekomu except names
- Add patch to support building with ExtUtils::MakeMaker < 6.30
- If we don't have a recent enough Test::More, use a bundled one instead; this
  is _so_ much simpler than patching out the modern bits
- Take the same approach with File::Temp; we can now support old distributions
  back to FC-3

* Fri Jul 19 2013 Paul Howarth <paul@city-fan.org> - 1.05-2
- Perl 5.18 rebuild

* Sun Jul  7 2013 Paul Howarth <paul@city-fan.org> - 1.05-1
- Update to 1.05
  - Add stopwords

* Thu May  9 2013 Paul Howarth <paul@city-fan.org> - 1.04-1
- Update to 1.04
  - Update copyright info
  - Require 5.8 (let me know if this is a problem for you)
  - Improve tests
  - Hopefully fix failing test on Windows
  - Improve code readability
  - Remove DEBUG for private _is_debug method
  - Fix tests to work on older perls
- License changed to Artistic 2.0
- Drop BR: perl(Test::Most), no longer used
- BR: perl(Test::Deep)
- Update patches as needed
- Bump File::Temp version requirement to 0.17 as we use its seek method

* Wed May  8 2013 Paul Howarth <paul@city-fan.org> - 1.02-1
- Update to 1.02
  - Convert to dzil and adopt
- This release by XENO -> update source URL
- Classify buildreqs by usage
- Package new manpage for podspell
- Add buildreqs for author and release tests, and run those tests if we're not
  bootstrapping
- Update UTF8 patch
- Add patches to support building with old Test::More versions

* Mon Jun 11 2012 Paul Howarth <paul@city-fan.org> - 1.01-13
- BR: perl(Carp), perl(constant), perl(Pod::Parser), perl(Test) and
  perl(Text::Wrap)
- Use patch rather than scripted iconv to fix character encoding
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT
  - Use %%{_fixperms} macro rather than our own chmod incantation

* Wed Jun 29 2011 Paul Howarth <paul@city-fan.org> - 1.01-11
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> - 1.01-9
- Rebuild for perl 5.12.1 in Rawhide

* Wed Jun  2 2010 Paul Howarth <paul@city-fan.org> - 1.01-8
- Fix dist tag for RHEL-6 Beta

* Thu Nov 26 2009 Paul Howarth <paul@city-fan.org> - 1.01-7
- Import from Fedora

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.01-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.01-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.01-4
- Rebuild for perl 5.10 (again)

* Sun Jan 13 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.01-3
- Rebuild for new perl

* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.01-2.1
- Correct license tag
- Add BR: perl(ExtUtils::MakeMaker)

* Mon Dec 18 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.01-2
- Find: fixed arguments order

* Sun Dec 17 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.01-1
- First build
